#include <linux/module.h>
#include <linux/proc_fs.h>
#include <linux/usb.h>
#include <asm/uaccess.h>	// copy_to_user

#include "mas35x9_cmd.h"

#define	PROC_INFO_STR_SIZE	1024
char proc_info_str[PROC_INFO_STR_SIZE];

int  get_mas35x9_proc_info();

struct proc_dir_entry	*proc_de_MAS35x9,
						*proc_de_info,
						*proc_de_tmp;

int		proc_init();
void	proc_exit();


int		info_open(struct inode* info_inode,		struct file* info_file);
int		info_release(struct inode* info_inode,	struct file* info_file);
ssize_t info_read(struct file* info_file,		char* buf, size_t count, loff_t * offset);

struct file_operations	info_fops = {
							owner : THIS_MODULE,
							read : info_read,
							open : info_open,
							release : info_release
						};



/*****************************************************************************
	extern : mas35x9_usb.h
*****************************************************************************/
extern int _smc_read_page(u32 page, u16 offset, u16 len, void* data);

extern int mas35x9_vendor_cmd_read(u16 index,	u16 size,	void* data);
extern int mas35x9_vendor_cmd_write(u16 index,	u16 size,	void* data);

extern SMC_INFO	gSMC_info;
extern s16		gSMC_root_block;
extern s8		gMAS35x9_firmware_version;
/****************************************************************************/
